$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formPeriodo").on("submit", function (e) {
        guardaryactualizarPeriodo(e);
    });
});

$(document).ready(function () {
    $('#periodo-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/periodo.php?op=listar&fil=all",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
});
function combo_periodos() {
    $.post("../../controller/periodo.php?op=comboPeriodo", function (data) {
        $('#periodo').html(data);
    });
}
function nuevo() {
    $('#periodbk').val('');
    $('#codper').val('');
    $('#descrip').val('');
    $('#fecini').val('');
    $('#mtrini').val('');
    $('#mtrfin').val('');
    $('#planificacion').val('');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formPeriodo')[0].reset();
    $('#mantenimiento').modal('show');
}
function guardaryactualizarPeriodo(e) {
    e.preventDefault();
    var formData = new FormData($("#formPeriodo")[0]);
    $.ajax({
        url: '../../controller/periodo.php?op=guardar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#periodo-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function editar(periodbk) {
    $.post("../../controller/periodo.php?op=consultar_periodo", {periodbk: periodbk}, function (data) {
        data = JSON.parse(data);
        $('#periodbk').val(data.periodbk);
        $('#codper').val(data.codper);
        $('#descrip').val(data.descrip);
        $('#fecini').val(data.fecini);
        $('#mtrini').val(data.mtrini);
        $('#mtrfin').val(data.mtrfin);
        $('#planificacion').val(data.planificacion);
    });
    $('#lblTitulo').html('Editar Periodo');
    $('#mantenimiento').modal('show');
}
function eliminar(periodbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/periodo.php?op=eliminar_periodo", {periodbk: periodbk}, function (data) {
                $('#periodo-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}

$(".tablas").on("click", ".btnActivarPeriodo", function () {
    var periodbk = $(this).attr("idPeriodo");
    var estado = $(this).attr("estadoPeriodo");
    var datos = new FormData();
    datos.append("activarId", periodbk);
    datos.append("activarPeriodo", estado);
    $.ajax({
        url: "../../controller/periodo.php?op=estado",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (data) {
        }
    })
    if (estado == "INACTIVO") {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).html('Inactivo');
        $(this).attr('estadoPeriodo', "ACTIVO");
    } else {
        $(this).addClass('btn-success');
        $(this).removeClass('btn-danger');
        $(this).html('Activo');
        $(this).attr('estadoPeriodo', "INACTIVO");
    }
})

function pdf(periodbk) {
    var iframe = document.getElementById("pdf");    
    $.post("../../controller/periodo.php?op=consultar_periodo", {periodbk: periodbk}, function (data) {
        data = JSON.parse(data);
        iframe.setAttribute("src", data.planificacion);
    });
    $('#visualizar').modal('show');
}


